function updateDocumentPM(index) {
    desiteMD.showProgress(_progressObject);
    desiteMD.showProgressMessageLabel('Sending ' + _template_Partial + ' Model status & review...');

    var url = '/projects/' + _config.project + '/drafts';
    var draft_href;
    tpApiRequest(url, 'POST', 'json', 'application/json', null, function (data) { });
    tpApiRequest(url, 'GET', 'json', 'application/json', null, function (data) {
        draft_href = data.drafts[0].href;
    });

    var url = '/projects/' + _config.project + '/filters/';
    var body = { sendas_document: href_PMdocu[index] };
    tpApiRequest(draft_href + '/documents', 'POST', 'json', 'application/json', JSON.stringify(body), function (data) { });

    tpApiRequest(draft_href + '/documents', 'GET', 'json', 'application/json', null, function (data) {
        docu_href = data.documents[0].href;
    });

    var payb = { fields: [{ "value": partialModelComments[index], "definition": _pmList[index].comment_href }] };
    tpApiRequest(docu_href, 'PUT', 'json', 'application/json', JSON.stringify(payb), function (data) { });

    var payb = { fields: [{ "value": partialModelReviewValues[document.getElementById("PM_" + index).selectedIndex], "definition": _pmList[index].status_href }] };
    tpApiRequest(docu_href, 'PUT', 'json', 'application/json', JSON.stringify(payb), function (data) { });

    tpApiRequest(draft_href + '/send_wait', 'POST', 'json', 'application/json', null, function (data) {
                                                                                          desiteMD.hideProgress();
                                                                                           $( "#dialogReloadModels" ).dialog("open");
                                                                                        });
    //desiteMD.hideProgress();
    // $( "#dialogReloadModels" ).dialog("open");
}

function updateDocumentCM(index) {
    desiteMD.showProgress(_progressObject);
    desiteMD.showProgressMessageLabel('Sending coordination Model status & review...');

    var url = '/projects/' + _config.project + '/drafts';
    var draft_href;
    tpApiRequest(url, 'POST', 'json', 'application/json', null, function (data) { });
    tpApiRequest(url, 'GET', 'json', 'application/json', null, function (data) {
        draft_href = data.drafts[0].href;
    });

    var url = '/projects/' + _config.project + '/filters/';
    var body = { sendas_document: _cmPostHref[index] };
    tpApiRequest(draft_href + '/documents', 'POST', 'json', 'application/json', JSON.stringify(body), function (data) { });

    tpApiRequest(draft_href + '/documents', 'GET', 'json', 'application/json', null, function (data) {
        docu_href = data.documents[0].href;
    });
    
    var payb = {fields: [{"value": coordinationModelComments[index], "definition": _cmCommentHref[index]}]};
    tpApiRequest(docu_href,'PUT','json','application/json',JSON.stringify(payb),function(data){});
    
    var payb = { fields: [{ "value": coordinationModelReviewValues[document.getElementById("CM_" + index).selectedIndex], "definition": _cmReviewHref[index] }] };
    tpApiRequest(docu_href, 'PUT', 'json', 'application/json', JSON.stringify(payb), function (data) { });

    tpApiRequest(draft_href + '/send_wait', 'POST', 'json', 'application/json', null, function (data) {
                                                                                          desiteMD.hideProgress();
                                                                                          $( "#dialogReloadModels" ).dialog("open");
                                                                                        });
    // desiteMD.hideProgress();
    //$( "#dialogReloadModels" ).dialog("open");
}

function CMComment(index) {
    document.getElementById('commentTextFieldCM').value = '';
    $('#dialogCMComment').dialog("open");
    coordinationModelIndex = index;
    if (coordinationModelComments[coordinationModelIndex] != '' && coordinationModelComments[coordinationModelIndex] != undefined && coordinationModelComments[coordinationModelIndex] != "") {
        document.getElementById('commentTextFieldCM').value = coordinationModelComments[coordinationModelIndex];
    }
}

function PMComment(index) {
    document.getElementById('commentTextFieldPM').value = '';
    $('#dialogPMComment').dialog("open");
    partialModelIndex = index;
    if (partialModelComments[partialModelIndex] != '' && partialModelComments[partialModelIndex] != undefined && partialModelComments[partialModelIndex] != "") {
        document.getElementById('commentTextFieldPM').value = partialModelComments[partialModelIndex];
    }
}

function savePMComment() {
    partialModelComments[partialModelIndex] = document.getElementById("commentTextFieldPM").value;
    $('#dialogPMComment').dialog("close");
    document.getElementById("commentTextFieldPM").value = "";
    partialModelIndex = 0;
}

function saveCMComment() {
    coordinationModelComments[coordinationModelIndex] = document.getElementById("commentTextFieldCM").value;
    $('#dialogCMComment').dialog("close");
    document.getElementById("commentTextFieldCM").value = "";
    coordinationModelIndex = 0;
}

function newLinePM(event) {
    //console.log("TEST");
    if (event.keyCode == 13) {
        //console.log("*PRessED*");
        var txt = document.getElementById('commentTextFieldPM').value;
        //console.log(txt);
        txt += "\n";
        document.getElementById('commentTextFieldPM').value = txt;
    }
}

function newLineCM(event) {
    //console.log("TEST");
    if (event.keyCode == 13) {
        //console.log("*PRessED*");
        var txt = document.getElementById('commentTextFieldCM').value;
        //console.log(txt);
        txt += "\n";
        document.getElementById('commentTextFieldCM').value = txt;
    }
}

function getPMStatus() {
    tpApiRequest(_pmList[0].status_href, 'GET', 'json', 'application/json', null,
        function (data) {
            for (var i = 0; i < data.links.length; i++) {
                if (data.links[i].rel.indexOf("retrieve_choices") > -1) {
                    tpApiRequest(data.links[i].href, 'GET', 'json', 'application/json', null,
                        function (data) {
                            //console.log("\ngetPMStatus() : data.retrieve_choices: \n"  + JSON.stringify(data) + "\n");
                            for (var j = 0; j < data.retrieve_choices.length; j++) {
                                partialModelReviewValues[j] = data.retrieve_choices[j].value;
                                partialModelReviewValuesFormatted[j] = data.retrieve_choices[j].formatted;
                            }
                        });
                }
            }
        });
}

function getCMStatus() {
    tpApiRequest(_cmReviewHref[0], 'GET', 'json', 'application/json', null,
        function (data) {
            // console.log(JSON.stringify(data));
            for (var i = 0; i < data.links.length; i++) {

                if (data.links[i].rel.indexOf("retrieve_choices") > -1) {
                    tpApiRequest(data.links[i].href, 'GET', 'json', 'application/json', null,
                        function (data) {
                            //console.log("\ngetCMStatus() : data.retrieve_choices: \n"  + JSON.stringify(data) + "\n");
                            for (var j = 0; j < data.retrieve_choices.length; j++) {
                                coordinationModelReviewValues[j] = data.retrieve_choices[j].value;
                                coordinationModelReviewValuesFormatted[j] = data.retrieve_choices[j].formatted;
                            }
                        });
                }
            }
        });
}